<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="com.cyksj.mapper.corp.CorpFollowActiveCodeMapper">

    <select id="selectActiveCodeByFollowIndx" resultType="com.cyksj.model.entity.CorpFollowActiveCode">
        select *
        from corp_follow_active_code
        where deleted is true
        and follow_str != '' and
        <foreach collection="list" item="item" open="(" separator="OR" close=")">
            JSON_CONTAINS(follow_str, '${item}')
        </foreach>
    </select>
</mapper>